{ config, lib, pkgs, ... }:
{
  imports = [
    ./clipman
    ./kanshi
    ./mako
    ./rofi
    ./swaylock
    ./waybar
    ./wlsunset
  ];

  home.packages = with pkgs; lib.mkIf config.home.desktop.enable [
    brightnessctl
    hyprpicker
    libnotify
    shotman
    wdisplays
    wl-clipboard-rs
  ];
}
