{ config, lib, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    programs.sway = {
      enable = true;
      extraOptions = [ "--unsupported-gpu" ];
      extraSessionCommands = ''
        export ELECTRON_OZONE_PLATFORM_HINT=wayland
        export WLR_RENDERER=vulkan
      '';
      wrapperFeatures.gtk = true;
    };

    services.dbus.enable = true;
    security.pam.services.swaylock = {};
  };
}
