{ pkgs, ... }:
{
  wayland.windowManager.sway.config = {
    bars = [{ command = "waybar"; }];

    startup = [
      # Scratchpads
      { command = "foot -a btop -T Gotop btop"; }
      { command = "foot -a music -T Music ncmpcpp"; }
      { command = "foot -a sound -T Sound pulsemixer"; }

      # Foreground
      { command = "thunderbird"; }
      { command = "vesktop"; }
    ];
  };
}
